---

- name: Install pgbackrest package
  yum:
    name: "pgbackrest-{{ pgbackrest_version }}"
    state: present
  tags: setup

- name: set the config file
  template:
    src: "pgbackrest.conf.j2"
    dest: /etc/pgbackrest.conf
  tags: config

- name: setup server config
  include: server.yml
  when: pgbackrest_server | default(false) | bool